Bug 1421066 (deepin-wm-switcher) - Review Request: deepin-wm-switcher - Window manager switcher for Deepin
Summary: Review Request: deepin-wm-switcher - Window manager switcher for Deepin
Keywords:
Status: CLOSED RAWHIDE
Alias: deepin-wm-switcher
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: deepin-metacity
Blocks: DeepinDEPackageReview
TreeView+ depends on / blocked
 
Reported: 2017-02-10 09:32 UTC by sensor.wen
Modified: 2018-07-22 13:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-22 13:32:47 UTC
Type: ---
zbyszek: fedora-review+


Attachments (Terms of Use)

Comment 2 Zbigniew Jędrzejewski-Szmek 2017-08-03 14:21:13 UTC
It would be better to include some additional info in %description about what this package actually *does*. The text from https://github.com/linuxdeepin/deepin-wm-switcher#deepin-wm-switcher would be OK, I think.

Looks OK, but #1421058 needs to be done first to meaningfully review this.

Comment 3 sensor.wen 2017-10-10 16:33:41 UTC
#1421058 is done. let's go review it. @Zbigniew Jędrzejewski-Szmek

Comment 5 Zbigniew Jędrzejewski-Szmek 2017-10-11 10:33:05 UTC
+ package name is OK
+ license is acceptable for Fedora (GPLv3)
+ license is specified correctly
+ package builds in mock
+ BuildRequires / Requires / Provides look OK
+ latest version
+ fedora-review finds no issues
+ rpmlint output is OK (only some grumbling about missing man pages and documentation)
+ no scriptlets are necessary

Package is APPROVED. I didn't test it, but the packaging is OK.

Comment 6 Gwyn Ciesla 2017-10-11 12:53:02 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/deepin-wm-switcher

Comment 7 Zamir SUN 2018-07-22 13:32:47 UTC
This is already in Rawhide. Closing on behalf of the Deepin Desktop packaging effort.

Comment 8 Zamir SUN 2018-07-22 13:33:23 UTC
This is already in Rawhide. Closing on behalf of the Deepin Desktop packaging effort.


Note You need to log in before you can comment on or make changes to this bug.